<!-- navbar -->
<nav class="navbar navbar-expand-lg navbar-light bg-light mb-3">
	<div class="container-fluid">
		<a class="navbar-brand" href="<?php echo $home_url; ?>">XYZ Webstore</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="navbarNav">
			<ul class="navbar-nav">
				<li <?php echo strpos($page_title, "Product")!==false ? "class='active dropdown'" : "class='dropdown'"; ?> class="nav-item dropdown">
					<a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-expanded="false">
						Products
					</a>
					<ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">

						<!--
							highlight if $page_title has 'Products' word AND
							category name wasn't set, because it is 'all products' page.
						-->
						<li>
							<a <?php echo strpos($page_title, 'Product')!==false && !isset($category_name) ? "class='dropdown-item active'" : "class='dropdown-item'"; ?> href="<?php echo $home_url; ?>">All Products</a>
						</li>

						<?php
						// read all product categories
						$stmt=$category->readAll_WithoutPaging();
						$num = $stmt->rowCount();

						if($num>0){
							while($row = $stmt->fetch(PDO::FETCH_ASSOC)){

								// highlight if the currenct $category_name is the same as the current category name in the loop
								if(isset($category_name) && $category_name==$row['name']){
									echo "<li><a class='dropdown-item active' href='{$home_url}category.php?id={$row['id']}'>{$row['name']}</a></li>";
								}

								// no highlight
								else{
									echo "<li><a class='dropdown-item' href='{$home_url}category.php?id={$row['id']}'>{$row['name']}</a></li>";
								}
							}
						}
						?>
					</ul>
				</li>

				<!-- link to the pages -->
				<li <?php echo (isset($module_type) && $module_type=="page") ? "class='active dropdown'" : "class='dropdown'"; ?> class="nav-item dropdown">
					<a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-expanded="false">
						Pages <span class="caret"></span>
					</a>
					<ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">

						<?php
							// query pages
							$nav_stmt = $page_obj->readAll_PublishedPages();
							$nav_total_rows = $page_obj->countAll();

							// display the pages if there are any
							if($nav_total_rows>0){
								while($nav_row = $nav_stmt->fetch(PDO::FETCH_ASSOC)){

									$nav_page_id=$nav_row['id'];
									$nav_title=$nav_row['title'];
									$nav_slug=$nav_row['slug'];

									$menu_item_class = (isset($page_obj->id) && $nav_page_id==$page_obj->id)
										? "class='dropdown-item active'"
										: "class='dropdown-item'";

									echo "<a {$menu_item_class} href='{$home_url}page/{$nav_slug}'>{$nav_title}</a></li>";
								}
							}
						?>
					</ul>
				</li>

				<li class="nav-item">
					<a <?php echo $page_title=="Contact Us" ? "class='active nav-link'" : "class='nav-link'"; ?> href="<?php echo $home_url; ?>contact/">
						Contact Us
					</a>
				</li>
			</ul>
			<form action="<?php echo $home_url; ?>search.php" class="d-flex">
				<input class="form-control mr-2" type="search" placeholder="Type product name..." name="s" aria-label="Search">
				<button class="btn btn-outline-success" type="submit">Search</button>
			</form>

			<!-- upper right corner options -->
			<ul class="navbar-nav ml-auto">

			<!-- link to the "Cart" page, highlight if current page is cart.php -->
			<li class="nav-item">
				<a <?php echo $page_title=="Cart" ? "class='nav-link active'" : "class='nav-link'"; ?> href="<?php echo $home_url; ?>cart">
					<?php
					// return count, session user_id was set in core.php
					$cart_item->user_id=$_SESSION['user_id'];
					// echo "UID: " . $_SESSION['user_id'];
					$cart_count=$cart_item->countAll();
					?>
					Cart <span class="badge bg-success" id="comparison-count"><?php echo $cart_count; ?></span>
				</a>
			</li>

			<?php
			// check if users / customer was logged in
			// if user was logged in, show "Edit Profile", "Orders" and "Logout" options
			if(isset($_SESSION['logged_in']) && $_SESSION['logged_in']==true && $_SESSION['access_level']=='Customer'){
			?>
				<li class='dropdown'>
				<a class="nav-link dropdown-toggle" href="#" id="userMenu" role="button" data-toggle="dropdown" aria-expanded="false">
						<span class="glyphicon glyphicon-user" aria-hidden="true"></span>
							&nbsp;&nbsp;<?php echo $_SESSION['firstname']; ?>
							&nbsp;&nbsp;<span class="caret"></span>
					</a>
					<ul class="dropdown-menu dropdown-menu-right" aria-labelledby="userMenu">
						<li>
							<a <?php echo $page_title=="Edit Profile" ? "class='dropdown-item active'" : "class='dropdown-item'"; ?> href="<?php echo $home_url; ?>edit_profile.php">Edit Profile</a>
						</li>
						<li>
							<a <?php echo $page_title=="Change Password" ? "class='dropdown-item active'" : "class='dropdown-item'"; ?> href="<?php echo $home_url; ?>change_password.php">Change Password</a>
						</li>
						<li>
							<a <?php echo $page_title=="Orders" || $page_title=="Order Details" ? "class='dropdown-item active'" : "class='dropdown-item'"; ?> href="<?php echo $home_url; ?>orders.php">Orders</a>
						</li>
						<li><a class='dropdown-item' href="<?php echo $home_url; ?>logout.php">Logout</a></li>
					</ul>
				</li>
			<?php
			}

			// if user was not logged in, show the "login" and "sign up" options
			else{
			?>
				<li class="nav-item">
					<a <?php echo $page_title=="Register" ? "class='nav-link active'" : "class='nav-link'"; ?> href="<?php echo $home_url; ?>login">
						<span class="glyphicon glyphicon-log-in"></span> Login
					</a>
				</li>

				<li class="nav-item">
					<a <?php echo $page_title=="Register" ? "class='nav-link active'" : "class='nav-link'"; ?> href="<?php echo $home_url; ?>register">
						<span class="glyphicon glyphicon-check"></span> Register
					</a>
				</li>
			<?php
			}
			?>
		</ul>
		</div><!--/.nav-collapse -->

	</div>
</nav>
<!-- /navbar -->
